Minecraft / Data Packs

Mechanization

  • 8
  • 7
  • comment6
  • playlist_add
  • share
  • more_horiz
avatar ImCoolYeah105
Level 17 : Journeyman Modder
0
Mechanization requires a resourcepack. You can download that from my Github here.

Mechanization is a Minecraft datapack aimed at recreating popular tech mods like IC2 and Thermal Expansion. It has been in development for over 2 years, with the first version being released in March 2016. Mechanization has over 45 machines and 110 items with a feature set including:
  • An extensive power system
  • Custom ore generation
  • x2 and x3 ore refining
  • Automation of farming, fishing, mob grinding, mining, and more
  • Custom tools and equipment
  • Nuclear reactors
  • Plasma guns
  • So much more...

Comment, suggestion, or issue? Or just want to stay up-to-date with everything Mechanization? Join my discord server.
You can learn more about everything Mechanization has to offer over on the wiki.
Progress100% complete
Game VersionMinecraft 1.13

Comments : 6

star Login or register to post a comment.

Show Comments

1 - 6 of 6

  • Antazio
  • Level 1
  • New Miner
  • February 22, 2019, 10:47 am
in 1.13.1 does it work?
  • ImCoolYeah105
  • Level 17
  • Journeyman Modder
  • February 23, 2019, 4:06 am
Idk, never tried. There are no changes from 1.13.1 -> 1.13.2 that I am aware of that would break anything, so it should work ok. Just know I don't support older versions.
  • adg155
  • Level 12
  • Journeyman Explorer
  • February 15, 2019, 10:59 pm
Oooooohhhhh- wait a minute. Is this for 1.14?
  • ImCoolYeah105
  • Level 17
  • Journeyman Modder
  • February 16, 2019, 4:15 am
This is for 1.13.2. A 1.14 update is in the works, though this project is large so updating will take some time.

However, Mechanization can mostly work in 1.14 if you manually update to the latest prerelease of Datapack Utils https://github.com/ImCoolYeah105/Datapack-Utilities/releases

Make sure DU is installed after mech by doing "/datapack list" or Mech will overwrite the new version.
Keep in mind that while will this will fix the most glaring issues, there probably will still be some bugs.
  • adg155
  • Level 12
  • Journeyman Explorer
  • February 16, 2019, 6:47 pm
Okay, too bad there's no OptiFine for 1.14 snapshots so I can't use it. :(
  • Hashs
  • Level 38
  • Artisan Archer
  • February 25, 2019, 12:55 pm
It does not require Optifine (I don't have Optifine and I use the pack).

1 - 6 of 6

Show Comments

Planet Minecraft

Browse

Site

© 2010 - 2019
planetminecraft.com

Welcome